---
title: DNS
slug: Glossary/DNS
tags:
  - DNS
  - Domain Name System
  - Glossary
  - Infrastructure
---
**DNS** (Domain Name System) is a hierarchical and decentralized naming system for Internet connected resources. DNS maintains a list of {{Glossary("domain name","domain names")}} along with the resources, such as IP addresses, that are associated with them.

The most prominent function of DNS is the translation of human-friendly domain names (such as mozilla.org) to a numeric {{Glossary("IP address")}} (such as 151.106.5.172); this process of mapping a domain name to the appropriate IP address is known as a **DNS lookup**. By contrast, a **reverse DNS lookup** (rDNS) is used to determine the domain name associated with an IP address.

## See also

- [Understanding domain names](/en-US/docs/Learn/Common_questions/What_is_a_domain_name)
- {{Interwiki("wikipedia", "Domain_Name_System", "Domain Name System")}} on Wikipedia
