---
title: Document directive
slug: Glossary/Document_directive
tags:
  - CSP
  - Directive
  - Document
  - Glossary
  - HTTP
  - Security
---
**{{Glossary("CSP")}} document directives** are used in a {{HTTPHeader("Content-Security-Policy")}} header and govern the properties of a document or [worker](/en-US/docs/Web/API/Web_Workers_API) environment to which a policy applies.

Document directives don't fall back to the {{CSP("default-src")}} directive.

See [Document directives](/en-US/docs/Web/HTTP/Headers/Content-Security-Policy#document_directives) for a complete list.

## See also

- [Glossary](/en-US/docs/Glossary)

  - {{Glossary("CSP")}}
  - {{Glossary("Reporting directive")}}
  - {{Glossary("Fetch directive")}}
  - {{Glossary("Navigation directive")}}

- Reference

  - <https://www.w3.org/TR/CSP/#directives-document>
  - {{HTTPHeader("Content-Security-Policy/upgrade-insecure-requests", "upgrade-insecure-requests")}}
  - {{HTTPHeader("Content-Security-Policy/block-all-mixed-content", "block-all-mixed-content")}}
  - {{HTTPHeader("Content-Security-Policy/require-sri-for", "require-sri-for")}} {{Deprecated_Inline}}
  - {{HTTPHeader("Content-Security-Policy")}}
