---
title: Google Chrome
slug: Glossary/Google_Chrome
tags:
  - Browser
  - Chrome canary
  - Chrome stable
  - Chromium
  - Glossary
  - WebMechanics
  - google chrome
---
Google Chrome is a free Web {{glossary("browser")}} developed by Google. It's based on the [Chromium](https://www.chromium.org/) open source project. Some key differences are described on the [Chromium wiki](https://code.google.com/p/chromium/wiki/ChromiumBrowserVsGoogleChrome). Chrome supports its own layout called {{glossary("Blink")}}. Note that the iOS version of Chrome uses that platform's WebView, not Blink.

## See also

- {{interwiki("wikipedia", "Google Chrome", "Google Chrome")}} on Wikipedia

### For Chrome Users

Use one of these links if you're an everyday user.

- [Android](https://play.google.com/store/apps/details?id=com.android.chrome)
- [iOS](https://apps.apple.com/us/app/chrome-web-browser-by-google/id535886823)
- [Desktop](https://www.google.com/chrome/)

### For Web Developers

If you want to try the latest Chrome features, install one of the pre-stable builds. Google pushes updates frequently and has designed the distributions to run side-by-side with the stable version. Visit the [Chrome Releases Blog](https://chromereleases.googleblog.com) to learn what's new.

- [Chrome Dev for Android](https://play.google.com/store/apps/details?id=com.chrome.dev)
- [Chrome Canary for desktop](https://www.google.com/chrome/browser/canary.html).
