---
title: I18N
slug: Glossary/I18N
tags:
  - Beginner
  - Credibility
  - Glossary
  - Internationalization
  - OpenPractices
  - i18n
---
i18n (from "internationalization", a 20-letter word) is the best practice that enables products or services to be readily adapted to any target culture.

> **Internationalization** is the design and development of a product, application or document content that **_enables_** easy localization for target audiences that vary in culture, region, or language. (The {{Glossary("W3C")}} definition)

Among other things, i18n requires support for multiple

- character sets (usually via [Unicode](https://searchcio-midmarket.techtarget.com/definition/Unicode))
- units of measure (currency, °C/°F, km/miles, etc.)
- time and date formats
- keyboard layouts
- text directions

## See also

- {{interwiki("wikipedia", "Internationalization and localization", "i18n")}} on Wikipedia
- [i18n on W3C](https://www.w3.org/International/questions/qa-i18n.en#Internationalization)
- [i18n on gala-global.org](https://www.gala-global.org/what-internationalization)
- [i18n material on i18nguy.com](http://www.i18nguy.com/)
