---
title: Identifier
slug: Glossary/Identifier
tags:
  - Beginner
  - CodingScripting
  - Glossary
  - Sharing
---
An **identifier** is a sequence of characters in the code that identifies a {{glossary("variable")}}, {{glossary("function")}}, or {{glossary("property")}}.

In {{glossary("JavaScript")}}, identifiers are case-sensitive and can contain {{glossary("Unicode")}} letters, `$`, `_`, and digits (0-9), but may not start with a digit.

An identifier differs from a string in that a {{glossary("string")}} is data, while an identifier is part of the code. In JavaScript, there is no way to convert identifiers to strings, but sometimes it is possible to parse strings into identifiers.

## See also

- {{interwiki("wikipedia", "Identifier#In_computer_science", "Identifier")}} on Wikipedia
- [Glossary](/en-US/docs/Glossary)

  - {{glossary("Identifier")}}
  - {{glossary("Scope")}}
  - {{glossary("string")}}
  - {{glossary("Unicode")}}
