---
title: Progressive web apps
slug: Glossary/Progressive_web_apps
tags:
  - Composing
  - Glossary
  - Progressive web apps
---
Progressive web apps is a term used to describe the modern state of web app development. This involves taking standard web sites/apps that enjoy all the best parts of the Web — such as discoverability via search engines, being linkable via {{Glossary("URL")}}s, and working across multiple form factors — and supercharging them with modern APIs (such as [Service Workers](/en-US/docs/Web/API/Service_Worker_API) and [Push](/en-US/docs/Web/API/Push_API)) and features that confer other benefits more commonly attributed to native apps.

These features include being installable, working offline, and being easy to sync with and re-engage the user from the server.

## See also

- The [App Center](/en-US/docs/Web/Progressive_web_apps) on MDN
- [Progressive web apps](https://web.dev/progressive-web-apps/) on Google Developers
