---
title: Property (JavaScript)
slug: Glossary/property/JavaScript
tags:
  - CodingScripting
  - Glossary
---
A **JavaScript property** is a characteristic of an object, often describing attributes associated with a data structure.

There are two kinds of properties:

- _Instance properties_ hold data that are specific to a given object instance.
- _Static properties_ hold data that are shared among all object instances.

A property has a name (a {{glossary("string")}}, or {{glossary("symbol")}}) and a value ({{glossary("primitive")}}, {{glossary("method")}}, or {{glossary("object reference")}}).

> **Note:** When we say that "a property holds an object", that is shorthand for "a property holds an object _reference_".  This distinction matters because the original referenced object remains unchanged when you change the property's value.

## See also

- {{InterWiki('wikipedia','Property (programming)')}} on Wikipedia
- [Introduction to object-oriented JavaScript](/en-US/docs/Learn/JavaScript/Objects)
