---
title: Regular expression
slug: Glossary/Regular_expression
tags:
  - CodingScripting
  - Glossary
  - Regular Expression
---
**Regular expressions** (or *regex*) are rules that govern which sequences of characters come up in a search.

Regular expressions are implemented in various languages, but the best-known implementation is the Perl Implementation, which has given rise to its own ecosystem of implementations called PCRE (_Perl Compatible Regular Expression_). On the Web, {{glossary("JavaScript")}} provides another regex implementation through the {{jsxref("RegExp")}} object.

## See also

- {{Interwiki("wikipedia", "Regular expressions")}} on Wikipedia
- [Interactive tutorial](https://regexone.com/)
- [Visualized Regular Expression](https://regexper.com/)
- [Writing regular expressions in JavaScript](/en-US/docs/Web/JavaScript/Guide/Regular_Expressions)
