---
title: Serialization
slug: Glossary/Serialization
tags:
  - CodingScripting
  - Glossary
  - JavaScript
  - Serialization
---
The process whereby an object or data structure is translated into a format suitable for transferral over a network, or storage (e.g. in an array buffer or file format).

In {{Glossary("JavaScript")}}, for example, you can serialize an object to a {{Glossary("JSON")}} {{Glossary("string")}} by calling the {{Glossary("function")}} {{jsxref("JSON.stringify()")}}.

{{Glossary("CSS")}} values are serialized by calling the function {{domxref("CSSStyleDeclaration.getPropertyValue()")}}.

## See also

- [Serialization](https://en.wikipedia.org/wiki/Serialization) on Wikipedia
