---
title: TCP
slug: Glossary/TCP
tags:
  - Glossary
  - Infrastructure
  - Networking
  - TCP
  - Transmission Control Protocol
  - data
---
**TCP (Transmission Control Protocol)** is an important network {{Glossary("protocol")}} that lets two hosts connect and exchange data streams.  TCP guarantees the delivery of data and packets in the same order as they were sent.  Vint Cerf and Bob Kahn, who were DARPA scientists at the time, designed TCP in the 1970s.

TCP's role is to ensure the packets are reliably delivered, error free.  TCP has concurrence control, which means the initial requests start small, increasing in size to the levels of bandwidth the computers, servers, and network can support.

## See also

- {{Interwiki("wikipedia", "Transmission Control Protocol")}} (Wikipedia)
- [HTTP Overview](/en-US/docs/Web/HTTP/Overview)
- [How browsers work](/en-US/docs/Web/Performance/How_browsers_work)
- [Glossary](/en-US/docs/Glossary)

  - {{Glossary("IPv4")}}
  - {{Glossary("IPv6")}}
  - {{Glossary("Packet")}}
