---
title: WCAG
slug: Glossary/WCAG
tags:
  - Accessibility
  - Glossary
  - WCAG
  - Web Guidelines
---
_Web Content Accessibility Guidelines_ (**WCAG**) are a recommendation published by the {{Glossary("WAI","Web Accessibility Initiative")}} group at the {{Glossary("W3C")}}. They outline a set of guidelines for making content accessible primarily for people with disabilities but also for limited-resource devices such as mobile phones.

WCAG 2.0 which superseded WCAG 1.0 was published as a W3C Recommendation on 11 December 2008. It consists of 12 guidelines organized under 4 principles (perceivable, operable, understandable, and robust) and each guideline has testable success criteria.

WCAG uses three levels of conformance:

- Priority 1: Web developers **must** satisfy these requirements, otherwise it will be impossible for one or more groups to access the Web content. Conformance to this level is described as A.
- Priority 2: Web developers **should** satisfy these requirements, otherwise some groups will find it difficult to access the Web content. Conformance to this level is described as AA or Double-A.
- Priority 3: Web developers **may** satisfy these requirements, in order to make it easier for some groups to access the Web content. Conformance to this level is described as AAA or Triple-A.

## See also

- {{Interwiki("wikipedia", "Web Content Accessibility Guidelines", "WCAG")}} on Wikipedia
- [Accessibility information on MDN](/en-US/docs/Web/Accessibility/Information_for_Web_authors)
- [The WCAG 2.0 recommendation at the W3C](https://www.w3.org/TR/WCAG20/)
