---
title: Getting started with the Web
slug: Learn/Getting_started_with_the_web
tags:
  - Beginner
  - CSS
  - Design
  - Guide
  - HTML
  - Index
  - l10n:priority
  - publishing
  - theory
---
{{LearnSidebar}}

_Getting started with the Web_ is a concise series introducing you to the practicalities of web development. You'll set up the tools you need to construct a simple webpage and publish your own simple code.

## The story of your first website

It's a lot of work to create a professional website, so if you're new to web development, we encourage you to start small. You won't build another Facebook right away, but it's not hard to make your own simple website online, so we'll start there.

By working through the articles listed below,  you will go from nothing to getting your first webpage online. Let's begin our journey!

### Installing basic software

When it comes to tools for building a website, there's a lot to pick from. If you're just starting, you might be confused by the array of code editors, frameworks, and testing tools out there. In [Installing basic software](/en-US/docs/Learn/Getting_started_with_the_web/Installing_basic_software), we will show you step-by-step how to install the software you need to begin some basic web development.

### What will your website look like?

Before you start writing the code for your website, you should plan it first. What information are you showcasing? What fonts and colors are you using? [What will your website look like?](/en-US/docs/Learn/Getting_started_with_the_web/What_will_your_website_look_like) We outline a simple method you can follow to plan out your site's content and design.

### Dealing with files

A website consists of many files: text content, code, stylesheets, media content, and so on. When you're building a website, you need to assemble these files into a sensible structure and make sure they can talk to one another. [Dealing with files](/en-US/docs/Learn/Getting_started_with_the_web/Dealing_with_files) explains how to set up a sensible file structure for your website and what issues you should be aware of.

### HTML basics

Hypertext Markup Language (HTML) is the code that you use to structure your web content and give it meaning and purpose. For example, is my content a set of paragraphs or a list of bullet points? Do I have images inserted on my page? Do I have a data table? Without overwhelming you, [HTML basics](/en-US/docs/Learn/Getting_started_with_the_web/HTML_basics) provide enough information to make you familiar with HTML.

### CSS basics

Cascading Stylesheets (CSS) is the code that you use to style your website. For example, do you want the text to be black or red? Where should content be drawn on the screen? What background images and colors should be used to decorate your website? [CSS basics](/en-US/docs/Learn/Getting_started_with_the_web/CSS_basics) take you through what you need to get started.

### JavaScript basics

JavaScript is the programming language that you use to add interactive features to your website. Some examples could be games, things that happen when buttons are pressed or data is entered in forms, dynamic styling effects, animation, and much more. [JavaScript basics](/en-US/docs/Learn/Getting_started_with_the_web/JavaScript_basics) give you an idea of what is possible with this exciting language, and how to get started.

### Publishing your website

Once you have finished writing the code and organizing the files that make up your website, you need to put it all online so people can find it. [Publishing your sample code](/en-US/docs/Learn/Getting_started_with_the_web/Publishing_your_website) describes how to get your simple sample code online with minimum effort.

### How the web works

When you access your favorite website, a lot of complicated things happen in the background that you may not know about. [How the web works](/en-US/docs/Learn/Getting_started_with_the_web/How_the_Web_works) outlines what happens when you view a webpage on your computer.

## See also

- [Web Demystified](https://www.youtube.com/playlist?list=PLo3w8EB99pqLEopnunz-dOOBJ8t-Wgt2g): A great series of videos explaining web fundamentals, aimed at complete beginners to web development. Created by [Jérémie Patonnier](https://twitter.com/JeremiePat).
- [The web and web standards](/en-US/docs/Learn/Getting_started_with_the_web/The_web_and_web_standards): This article provides some useful background on the Web — how it came about, what web standard technologies are, how they work together, why "web developer" is a great career to choose, and what kinds of best practices you'll learn about through the course.
