---
title: 'ARIA: composite role'
slug: Web/Accessibility/ARIA/Roles/composite_role
tags: 
  - Accessibility
  - ARIA
  - roles
  - Composite Role
  - Abstract Role
  - Reference
  - NeedsContent
---

The `composite` [abstract role](/en-US/docs/Web/Accessibility/ARIA/Roles/#Abstract_roles) indicates a widget that may contain navigable descendants or owned children.

> **Note:**  The `composite` role is an abstract role. It is included here for completeness of documentation. It should not be used by web authors.

## Description

`Composite` is an abstract role used for the ontology. Don't use this role in content. Instead, use the composite subclasses of [`grid`](/en-US/docs/Web/Accessibility/ARIA/Roles/grid_role), [`select`](/en-US/docs/Web/Accessibility/ARIA/Roles/select_role), [`spinbutton`](/en-US/docs/Web/Accessibility/ARIA/Roles/spinbutton_role), and [`tablist`](/en-US/docs/Web/Accessibility/ARIA/Roles/tablist_role)

## Best Practices

Do not use.

## Specifications

| Specification                                                                                                                    | Status                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| {{SpecName("ARIA","#composite","ARIA: composite role")}}                                             | {{Spec2('ARIA')}}                         |

## See Also

- [ARIA: `widget` role](/en-US/docs/Web/Accessibility/ARIA/Roles/widget_role)
- [ARIA: `grid` role](/en-US/docs/Web/Accessibility/ARIA/Roles/grid_role)
- [ARIA: `select` role](/en-US/docs/Web/Accessibility/ARIA/Roles/select_role)
- [ARIA: `spinbutton` role](/en-US/docs/Web/Accessibility/ARIA/Roles/spinbutton_role)
- [ARIA: `tablist` role](/en-US/docs/Web/Accessibility/ARIA/Roles/tablist_role)

<section id="Quick_links">

1. [**WAI-ARIA roles**](/en-US/docs/Web/Accessibility/ARIA/Roles)

    {{ListSubpagesForSidebar("/en-US/docs/Web/Accessibility/ARIA/Roles")}}

</section>
