---
title: Crypto.subtle
slug: Web/API/Crypto/subtle
tags:
  - API
  - Cryptography
  - Property
  - Read-only
  - Reference
  - Web Crypto API
browser-compat: api.Crypto.subtle
---
{{APIRef("Web Crypto API")}}{{SecureContext_header}}

The **`Crypto.subtle`** read-only property returns a
{{domxref("SubtleCrypto")}} which can then be used to perform low-level
cryptographic operations.

## Syntax

```js
var crypto = crypto.subtle;
```

### Value

A {{domxref("SubtleCrypto")}} object you can use to interact with the Web Crypto API's
low-level cryptography features.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{domxref("Crypto")}}.
- {{domxref("SubtleCrypto")}}.
- [Compatibility
  test page](https://vibornoff.github.io/webcrypto-examples/index.html).
- [Shim for IE11 and Safari](https://github.com/vibornoff/webcrypto-shim).
