---
title: 'DeviceMotionEventAcceleration: y'
slug: Web/API/DeviceMotionEventAcceleration/y
tags:
  - API
  - DeviceAcceleration
  - NeedsExample
  - Property
  - Reference
browser-compat: api.DeviceMotionEventAcceleration.y
---
{{ APIRef("Device Orientation Events") }}

## Summary

This read-only property indicates the amount of acceleration that occurred along the Y
axis in a [`DeviceMotionEventAcceleration`](/en-US/docs/Web/API/DeviceMotionEventAcceleration)
object.

## Syntax

```js
var yAccel = DeviceMotionEventAcceleration.y;
```

### Return value

- `y`
  - : A `double` indicating the amount of acceleration along the Y axis. See [Accelerometer values
    explained](/en-US/docs/Web/API/Detecting_device_orientation) for details.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [`DeviceMotionEventAcceleration.x`](/en-US/docs/Web/API/DeviceMotionEventAcceleration.x)
- [`DeviceMotionEventAcceleration.z`](/en-US/docs/Web/API/DeviceMotionEventAcceleration.z)
