---
title: 'DeviceMotionEventRotationRate: gamma'
slug: Web/API/DeviceMotionEventRotationRate/gamma
tags:
  - API
  - Device Orientation
  - Intermediate
  - Mobile
  - Motion
  - Orientation
  - Reference
browser-compat: api.DeviceMotionEventRotationRate.gamma
---
{{ ApiRef("Device Orientation Events") }}

This property indicates the rate of rotation around the Y axis -- in degrees per second
\-- in a {{ domxref("DeviceMotionEventRotationRate") }} object.

## Syntax

```js
var gamma = deviceRotationRate.gamma;
```

This property is read-only.

### Return value

- `gamma`
  - : A `double` indicating the rate of rotation around the Y axis, in degrees
    per second. See [Accelerometer
    values explained](/en-US/docs/Web/API/Detecting_device_orientation#accelerometer_values_explained) for details.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
