---
title: 'Element: touchend event'
slug: Web/API/Element/touchend_event
tags:
  - API
  - Element
  - Event
  - Touch Events
  - TouchEvent
  - UI
  - UI Events
  - UX
  - touch
  - touchstart
browser-compat: api.Element.touchend_event
---
{{APIRef}}

The `touchend` event fires when one or more touch points are removed from the touch surface.

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Bubbles</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Cancelable</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Interface</th>
      <td>{{domxref("TouchEvent")}}</td>
    </tr>
    <tr>
      <th scope="row">Event handler property</th>
      <td>
        {{ domxref("GlobalEventHandlers.ontouchend","ontouchend")}}
      </td>
    </tr>
  </tbody>
</table>

## Examples

Code samples for those events are available on the dedicated page: [Touch events](/en-US/docs/Web/API/Touch_events).

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Touch events](/en-US/docs/Web/API/Touch_events)
- {{ domxref("GlobalEventHandlers.ontouchend","ontouchend")}}
- This event on {{domxref("Document")}} targets: {{domxref("Document/touchend_event", "touchend")}}
