---
title: GeolocationCoordinates.speed
slug: Web/API/GeolocationCoordinates/speed
tags:
  - API
  - Geolocation API
  - GeolocationCoordinates
  - Property
  - Secure context
  - speed
browser-compat: api.GeolocationCoordinates.speed
---
{{securecontext_header}}{{APIRef("Geolocation API")}}

The **`GeolocationCoordinates.speed`** read-only property is a
`double` representing the velocity of the device in meters per second. This
value is `null` if the implementation is not able to measure it.

## Syntax

```js
let speed = geolocationCoordinatesInstance.speed
```

### Value

A `double` representing the velocity of the device in meters per second.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Using the Geolocation API](/en-US/docs/Web/API/Geolocation_API/Using_the_Geolocation_API)
- {{domxref("GeolocationCoordinates")}}
