---
title: HTMLBRElement
slug: Web/API/HTMLBRElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
browser-compat: api.HTMLBRElement
---
{{APIRef("HTML DOM")}}

The **`HTMLBRElement`** interface represents an HTML line break element ({{htmlelement("br")}}). It inherits from {{domxref("HTMLElement")}}.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLBRElement.clear")}} {{deprecated_inline}}
  - : Is a {{domxref("DOMString")}} indicating the flow of text around floating objects.

## Methods

_No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}_.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- HTML element implementing this interface: {{HTMLElement("br")}}
