---
title: HTMLLinkElement.as
slug: Web/API/HTMLLinkElement/as
tags:
  - API
  - Element
  - HTMLLinkElement
  - Link
  - Preload API
  - Property
  - Reference
  - as
browser-compat: api.HTMLLinkElement.as
---
{{SeeCompatTable}}{{APIRef("HTML DOM")}}

The **`as`** property of the {{domxref("HTMLLinkElement")}}
interface returns a {{domxref("DOMString")}} representing the type of content being
loaded by the HTML link, one of `"script"`, `"style"`,
`"image"`, `"video"`, `"audio"`, `"track"`,
`"font"`, `"fetch"`.

## Syntax

```js
var as = HTMLLinkElement.as
HTMLLinkElement.as = as
```

### Value

A {{domxref("DOMString")}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
