---
title: Navigator.hid
slug: Web/API/Navigator/hid
tags:
  - API
  - Advanced
  - WebHID
  - WebHID API
  - Property
  - Reference
browser-compat: api.Navigator.hid
---
{{APIRef("WebHID API")}}{{SeeCompatTable}}

The **`Navigator.hid`**
read-only property returns an {{domxref("HID")}} object providing methods
for connecting to HID devices, listing attached HID devices, and event
handlers for connected HID devices.

## Syntax

```js
var hidVar = navigator.hid
```

### Value

An {{domxref("HID")}} object.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [WebHID API](/en-US/docs/Web/API/WebHID_API)
