---
title: Notification.image
slug: Web/API/Notification/image
tags:
  - API
  - Image
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
browser-compat: api.Notification.image
---
{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}

The `image` read-only property of the
{{domxref("Notification")}} interface contains the URL of an image to be displayed as
part of the notification, as specified in the `image` option of the
{{domxref("Notification.Notification","Notification()")}} constructor.

## Syntax

```js
var image = Notification.image;
```

### Value

A {{domxref("USVString")}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Using
  the Notifications API](/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API)
