---
title: SVGFESpotLightElement
slug: Web/API/SVGFESpotLightElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
browser-compat: api.SVGFESpotLightElement
---
{{APIRef("SVG")}}

The **`SVGFESpotLightElement`** interface corresponds to the {{SVGElement("feSpotLight")}} element.

{{InheritanceDiagram}}

## Properties

_This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}._

- {{domxref("SVGFESpotLightElement.x")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("x")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.y")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("y")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.z")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("z")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.pointAtX")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("pointAtX")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.pointAtY")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("pointAtY")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.pointAtZ")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("pointAtZ")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.specularExponent")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("specularExponent")}} attribute of the given element.
- {{domxref("SVGFESpotLightElement.limitingConeAngle")}} {{ReadOnlyInline}}
  - : An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("limitingConeAngle")}} attribute of the given element.

## Methods

_This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{SVGElement("feSpotLight")}}
