---
title: '::-webkit-slider-thumb'
slug: Web/CSS/::-webkit-slider-thumb
tags:
  - CSS
  - NeedsBrowserCompatibility
  - NeedsCompatTable
  - NeedsExample
  - NeedsMobileBrowserCompatibility
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
browser-compat: css.selectors.-webkit-slider-thumb
---
{{CSSRef}}{{Non-standard_header}}

The **`::-webkit-slider-thumb`** CSS [pseudo-element](/en-US/docs/Web/CSS/Pseudo-elements) represents the "thumb" that the user can move within the "groove" of an {{HTMLElement("input")}} of `type="range"` to alter its numerical value.

## Syntax

```css
::-webkit-slider-thumb
```

## Specifications

Not part of any standard.

## Browser compatibility

{{Compat}}

## See also

- {{cssxref("::-webkit-slider-runnable-track")}}
- Similar pseudo-elements used by other browsers:

  - {{cssxref("::-moz-range-thumb")}}
  - {{cssxref("::-ms-thumb")}}

- [CSS-Tricks: Styling Cross-Browser Compatible Range Inputs with CSS](https://css-tricks.com/styling-cross-browser-compatible-range-inputs-css/)
- [QuirksMode: Styling and scripting sliders](https://www.quirksmode.org/blog/archives/2015/11/styling_and_scr.html)
- [Couple of Gotchas to Watch-out For](https://brennaobrien.com/blog/2014/05/style-input-type-range-in-every-browser.html)
