---
title: CSS Writing Modes
slug: Web/CSS/CSS_Writing_Modes
tags:
  - CSS
  - CSS Writing Modes
  - Guide
  - Overview
  - Reference
spec-urls: https://drafts.csswg.org/css-writing-modes/
---
{{CSSRef}}

**CSS Writing Modes** is a CSS module that defines various international writing modes, such as left-to-right (e.g. used by Latin and Indic scripts), right-to-left (e.g. used by Hebrew or Arabic scripts), bidirectional (used when mixing left-to-right and right-to-left scripts) and vertical (e.g. used by some Asian scripts).

## Reference

### Properties

- {{cssxref("direction")}}
- {{cssxref("glyph-orientation-horizontal")}}
- {{cssxref("text-combine-upright")}}
- {{cssxref("text-orientation")}}
- {{cssxref("unicode-bidi")}}
- {{cssxref("writing-mode")}}

## Specifications

{{Specifications}}
