---
title: 504 Gateway Timeout
slug: Web/HTTP/Status/504
tags:
  - HTTP
  - Server error
  - Status code
browser-compat: http.status.504
---
{{HTTPSidebar}}

The HyperText Transfer Protocol (HTTP) **`504 Gateway Timeout`** server error response code indicates that the server, while acting as a gateway or proxy, did not get a response in time from the upstream server that it needed in order to complete the request.

> **Note:** A {{interwiki("wikipedia", "Gateway_(telecommunications)", "Gateway")}} might refer to different things in networking and a 504 error is usually not something you can fix, but requires a fix by the web server or the proxies you are trying to get access through.

## Status

```
504 Gateway Timeout
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [HTTP/1.1: Status Code Definitions](https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html)
- {{HTTPStatus(502)}}
