---
title: Subtraction assignment (-=)
slug: Web/JavaScript/Reference/Operators/Subtraction_assignment
tags:
  - Assignment operator
  - JavaScript
  - Language feature
  - Operator
  - Reference
browser-compat: javascript.operators.subtraction_assignment
---
{{jsSidebar("Operators")}}

The subtraction assignment operator (`-=`) subtracts the value of the right
operand from a variable and assigns the result to the variable.

{{EmbedInteractiveExample("pages/js/expressions-subtraction-assignment.html")}}

## Syntax

```js
x -= y // x = x - y
```

## Examples

### Using subtraction assignment

```js
// Assuming the following variable
//  bar = 5

bar -= 2     // 3
bar -= 'foo' // NaN
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Assignment
  operators in the JS guide](/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#assignment)
- [Subtraction
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction)
