---
title: MathML
slug: Web/MathML
tags:
  - Landing
  - MathML
  - Reference
  - Web
  - XML
---
{{MathMLRef}}

**Mathematical Markup Language (MathML)** is a dialect of [XML](/en-US/docs/Web/XML) for describing mathematical notation and capturing both its structure and content.

Here you'll find links to documentation, examples, and tools to help you work with this powerful technology. For a quick overview, see the [slides for the innovation fairs at Mozilla Summit 2013](https://fred-wang.github.io/MozSummitMathML/index.html).

## MathML reference

- [MathML element reference](/en-US/docs/Web/MathML/Element)
  - : Details about each MathML element and compatibility information for desktop and mobile browsers.
- [MathML attribute reference](/en-US/docs/Web/MathML/Attribute)
  - : Information about MathML attributes that modify the appearance or behavior of elements.
- [MathML examples](/en-US/docs/Web/MathML/Examples)
  - : MathML samples and examples to help you understand how it works.
- [Authoring MathML](/en-US/docs/Web/MathML/Authoring)
  - : Suggestions and tips for writing MathML, including suggested MathML editors and how to integrate their output into Web content.

## Getting help from the community

- [mozilla.dev.tech.mathml Google Group](https://groups.google.com/g/mozilla.dev.tech.mathml)
- [Wiki used by Mozilla contributors](https://wiki.mozilla.org/MathML:Home_Page)
- [W3C Math Home](https://www.w3.org/Math/)
- [www-math w3.org mail archive](https://lists.w3.org/Archives/Public/www-math/)

## Tools

- [W3C Validator](https://validator.w3.org)
- [Mathzilla Firefox add-on collection](https://addons.mozilla.org/firefox/collections/fred_wang/mathzilla/)
- [TeXZilla](https://github.com/fred-wang/TeXZilla) — Javascript LaTeX to MathML converter ([live demo](https://fred-wang.github.io/TeXZilla/), [Firefox add-on](https://addons.mozilla.org/en-US/firefox/addon/texzilla/), [using in a Web Page, JS program etc](https://github.com/fred-wang/TeXZilla/wiki/Using-TeXZilla))
- [LaTeXML](https://dlmf.nist.gov/LaTeXML/) - Convert LaTeX documents into HTML+MathML Web pages
- [MathJax](https://www.mathjax.org/) - Cross-browser JavaScript display engine for mathematics. To force MathJax to use native MathML, try [this Mozilla add-on](https://addons.mozilla.org/en-US/firefox/addon/native-mathml/), this [Safari extension](https://fred-wang.github.io/mathjax-native-mathml-safari/mathjax-native-mathml.safariextz) or this [GreaseMonkey script](https://openuserjs.org/scripts/fred.wang/MathJax_Native_MathML/).

## Related topics

- [CSS](/en-US/docs/Web/CSS)
- [HTML](/en-US/docs/Web/HTML)
- [SVG](/en-US/docs/Web/SVG)

## Browser compatibility

{{Compat("mathml.elements.math", 0)}}
