---
title: accent-height
slug: Web/SVG/Attribute/accent-height
tags:
  - Deprecated
  - NeedsExample
  - SVG
  - SVG Attribute
browser-compat: svg.elements.font-face.accent-height
---
{{SVGRef}}{{deprecated_header}}

The **`accent-height`** attribute defines the distance from the origin to the top of accent characters, measured by a distance within the font coordinate system.

You can use this attribute with the following SVG elements:

- {{SVGElement("font-face")}}

## font-face

For {{SVGElement("font-face")}}, `accent-height` defines the distance from the origin to the top of accent characters, measured by a distance within the font coordinate system.

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td>
        <a href="/en-US/docs/Web/SVG/Content_type#number">&#x3C;number></a>
      </td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td>Value of {{SVGAttr("ascent")}}</td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>No</td>
    </tr>
  </tbody>
</table>

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG1.1", "fonts.html#FontFaceElementAccentHeightAttribute", "accent-height")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition</td>
    </tr>
  </tbody>
</table>

## Browser compatibility

{{Compat}}

## See also

- {{SVGAttr("cap-height")}}
- {{SVGAttr("x-height")}}
